CoreGTK 3.18.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CGTKTreeView Class Reference
Inheritance diagram for CGTKTreeView:
[legend]
Collaboration diagram for CGTKTreeView:
[legend]

## Instance Methods
(id) | - init
(id) | - initWithModel:
(GtkTreeView *) | - TREEVIEW
(gint) | - appendColumn:
(void) | - collapseAll
(BOOL) | - collapseRow:
(void) | - columnsAutosize
(void) | - convertBinWindowToTreeCoordsWithBx:andBy:andTx:andTy:
(void) | - convertBinWindowToWidgetCoordsWithBx:andBy:andWx:andWy:
(void) | - convertTreeToBinWindowCoordsWithTx:andTy:andBx:andBy:
(void) | - convertTreeToWidgetCoordsWithTx:andTy:andWx:andWy:
(void) | - convertWidgetToBinWindowCoordsWithWx:andWy:andBx:andBy:
(void) | - convertWidgetToTreeCoordsWithWx:andWy:andTx:andTy:
(cairo_surface_t *) | - createRowDragIcon:
(void) | - enableModelDragDestWithTargets:andNtargets:andActions:
(void) | - enableModelDragSourceWithStartButtonMask:andTargets:andNtargets:andActions:
(void) | - expandAll
(BOOL) | - expandRowWithPath:andOpenAll:
(void) | - expandToPath:
(BOOL) | - getActivateOnSingleClick
(void) | - getBackgroundAreaWithPath:andColumn:andRect:
(GdkWindow *) | - getBinWindow
(void) | - getCellAreaWithPath:andColumn:andRect:
(GtkTreeViewColumn *) | - getColumn:
(GList *) | - getColumns
(void) | - getCursorWithPath:andFocusColumn:
(BOOL) | - getDestRowAtPosWithDragX:andDragY:andPath:andPos:
(void) | - getDragDestRowWithPath:andPos:
(BOOL) | - getEnableSearch
(BOOL) | - getEnableTreeLines
(GtkTreeViewColumn *) | - getExpanderColumn
(BOOL) | - getFixedHeightMode
(GtkTreeViewGridLines) | - getGridLines
(GtkAdjustment *) | - getHadjustment
(BOOL) | - getHeadersClickable
(BOOL) | - getHeadersVisible
(BOOL) | - getHoverExpand
(BOOL) | - getHoverSelection
(gint) | - getLevelIndentation
(GtkTreeModel *) | - getModel
(guint) | - getNcolumns
(BOOL) | - getPathAtPosWithX:andY:andPath:andColumn:andCellX:andCellY:
(BOOL) | - getReorderable
(GtkTreeViewRowSeparatorFunc) | - getRowSeparatorFunc
(BOOL) | - getRubberBanding
(BOOL) | - getRulesHint
(gint) | - getSearchColumn
(GtkEntry *) | - getSearchEntry
(GtkTreeViewSearchEqualFunc) | - getSearchEqualFunc
(GtkTreeViewSearchPositionFunc) | - getSearchPositionFunc
(GtkTreeSelection *) | - getSelection
(BOOL) | - getShowExpanders
(gint) | - getTooltipColumn
(BOOL) | - getTooltipContextWithX:andY:andKeyboardTip:andModel:andPath:andIter:
(GtkAdjustment *) | - getVadjustment
(BOOL) | - getVisibleRangeWithStartPath:andEndPath:
(void) | - getVisibleRect:
(gint) | - insertColumnWithColumn:andPosition:
(gint) | - insertColumnWithDataFuncWithPosition:andTitle:andCell:andFunc:andData:andDnotify:
(BOOL) | - isBlankAtPosWithX:andY:andPath:andColumn:andCellX:andCellY:
(BOOL) | - isRubberBandingActive
(void) | - mapExpandedRowsWithFunc:andData:
(void) | - moveColumnAfterWithColumn:andBaseColumn:
(gint) | - removeColumn:
(void) | - rowActivatedWithPath:andColumn:
(BOOL) | - rowExpanded:
(void) | - scrollToCellWithPath:andColumn:andUseAlign:andRowAlign:andColAlign:
(void) | - scrollToPointWithTreeX:andTreeY:
(void) | - setActivateOnSingleClick:
(void) | - setColumnDragFunctionWithFunc:andUserData:andDestroy:
(void) | - setCursorWithPath:andFocusColumn:andStartEditing:
(void) | - setCursorOnCellWithPath:andFocusColumn:andFocusCell:andStartEditing:
(void) | - setDestroyCountFuncWithFunc:andData:andDestroy:
(void) | - setDragDestRowWithPath:andPos:
(void) | - setEnableSearch:
(void) | - setEnableTreeLines:
(void) | - setExpanderColumn:
(void) | - setFixedHeightMode:
(void) | - setGridLines:
(void) | - setHadjustment:
(void) | - setHeadersClickable:
(void) | - setHeadersVisible:
(void) | - setHoverExpand:
(void) | - setHoverSelection:
(void) | - setLevelIndentation:
(void) | - setModel:
(void) | - setReorderable:
(void) | - setRowSeparatorFuncWithFunc:andData:andDestroy:
(void) | - setRubberBanding:
(void) | - setRulesHint:
(void) | - setSearchColumn:
(void) | - setSearchEntry:
(void) | - setSearchEqualFuncWithSearchEqualFunc:andSearchUserData:andSearchDestroy:
(void) | - setSearchPositionFuncWithFunc:andData:andDestroy:
(void) | - setShowExpanders:
(void) | - setTooltipCellWithTooltip:andPath:andColumn:andCell:
(void) | - setTooltipColumn:
(void) | - setTooltipRowWithTooltip:andPath:
(void) | - setVadjustment:
(void) | - unsetRowsDragDest
(void) | - unsetRowsDragSource
Instance Methods inherited from CGTKContainer
(GtkContainer *) | - CONTAINER
(void) | - addWidget:withProperties:
(void) | - add:
(void) | - checkResize
(void) | - childGetPropertyWithChild:andPropertyName:andValue:
(void) | - childGetValistWithChild:andFirstPropertyName:andVarArgs:
(void) | - childNotifyWithChild:andChildProperty:
(void) | - childNotifyByPspecWithChild:andPspec:
(void) | - childSetPropertyWithChild:andPropertyName:andValue:
(void) | - childSetValistWithChild:andFirstPropertyName:andVarArgs:
(GType) | - childType
(void) | - forallWithCallback:andCallbackData:
(void) | - foreachWithCallback:andCallbackData:
(guint) | - getBorderWidth
(GList *) | - getChildren
(BOOL) | - getFocusChain:
(CGTKWidget *) | - getFocusChild
(GtkAdjustment *) | - getFocusHadjustment
(GtkAdjustment *) | - getFocusVadjustment
(GtkWidgetPath *) | - getPathForChild:
(GtkResizeMode) | - getResizeMode
(void) | - propagateDrawWithChild:andCr:
(void) | - remove:
(void) | - resizeChildren
(void) | - setBorderWidth:
(void) | - setFocusChain:
(void) | - setFocusChild:
(void) | - setFocusHadjustment:
(void) | - setFocusVadjustment:
(void) | - setReallocateRedraws:
(void) | - setResizeMode:
(void) | - unsetFocusChain
Instance Methods inherited from CGTKWidget
(GtkWidget *) | - WIDGET
(BOOL) | - activate
(void) | - addAcceleratorWithAccelSignal:andAccelGroup:andAccelKey:andAccelMods:andAccelFlags:
(void) | - addDeviceEventsWithDevice:andEvents:
(void) | - addEvents:
(void) | - addMnemonicLabel:
(guint) | - addTickCallbackWithCallback:andUserData:andNotify:
(BOOL) | - canActivateAccel:
(BOOL) | - childFocus:
(void) | - childNotify:
(void) | - classPathWithPathLength:andPath:andPathReversed:
(BOOL) | - computeExpand:
(PangoContext *) | - createPangoContext
(PangoLayout *) | - createPangoLayout:
(void) | - destroy
(void) | - destroyed:
(BOOL) | - deviceIsShadowed:
(GdkDragContext *) | - gtkDragBeginWithTargets:andActions:andButton:andEvent:
(GdkDragContext *) | - gtkDragBeginWithCoordinatesWithTargets:andActions:andButton:andEvent:andX:andY:
(BOOL) | - gtkDragCheckThresholdWithStartX:andStartY:andCurrentX:andCurrentY:
(void) | - gtkDragDestAddImageTargets
(void) | - gtkDragDestAddTextTargets
(void) | - gtkDragDestAddUriTargets
(GdkAtom) | - gtkDragDestFindTargetWithContext:andTargetList:
(GtkTargetList *) | - gtkDragDestGetTargetList
(BOOL) | - gtkDragDestGetTrackMotion
(void) | - gtkDragDestSetWithFlags:andTargets:andNtargets:andActions:
(void) | - gtkDragDestSetProxyWithProxyWindow:andProtocol:andUseCoordinates:
(void) | - gtkDragDestSetTargetList:
(void) | - gtkDragDestSetTrackMotion:
(void) | - gtkDragDestUnset
(void) | - gtkDragGetDataWithContext:andTarget:andTime:
(void) | - gtkDragHighlight
(void) | - gtkDragSourceAddImageTargets
(void) | - gtkDragSourceAddTextTargets
(void) | - gtkDragSourceAddUriTargets
(GtkTargetList *) | - gtkDragSourceGetTargetList
(void) | - gtkDragSourceSetWithStartButtonMask:andTargets:andNtargets:andActions:
(void) | - gtkDragSourceSetIconGicon:
(void) | - gtkDragSourceSetIconName:
(void) | - gtkDragSourceSetIconPixbuf:
(void) | - gtkDragSourceSetIconStock:
(void) | - gtkDragSourceSetTargetList:
(void) | - gtkDragSourceUnset
(void) | - gtkDragUnhighlight
(void) | - draw:
(void) | - ensureStyle
(void) | - errorBell
(BOOL) | - event:
(void) | - freezeChildNotify
(AtkObject *) | - getAccessible
(GActionGroup *) | - getActionGroup:
(int) | - getAllocatedBaseline
(int) | - getAllocatedHeight
(int) | - getAllocatedWidth
(void) | - getAllocation:
(CGTKWidget *) | - getAncestor:
(BOOL) | - getAppPaintable
(BOOL) | - getCanDefault
(BOOL) | - getCanFocus
(void) | - getChildRequisition:
(BOOL) | - getChildVisible
(void) | - getClip:
(GtkClipboard *) | - getClipboard:
(NSString *) | - getCompositeName
(BOOL) | - getDeviceEnabled:
(GdkEventMask) | - getDeviceEvents:
(GtkTextDirection) | - getDirection
(GdkDisplay *) | - getDisplay
(BOOL) | - getDoubleBuffered
(gint) | - getEvents
(PangoFontMap *) | - getFontMap
(const cairo_font_options_t *) | - getFontOptions
(GdkFrameClock *) | - getFrameClock
(GtkAlign) | - getHalign
(BOOL) | - getHasTooltip
(BOOL) | - getHasWindow
(BOOL) | - getHexpand
(BOOL) | - getHexpandSet
(BOOL) | - getMapped
(gint) | - getMarginBottom
(gint) | - getMarginEnd
(gint) | - getMarginLeft
(gint) | - getMarginRight
(gint) | - getMarginStart
(gint) | - getMarginTop
(GdkModifierType) | - getModifierMask:
(GtkRcStyle *) | - getModifierStyle
(NSString *) | - getName
(BOOL) | - getNoShowAll
(double) | - getOpacity
(PangoContext *) | - getPangoContext
(CGTKWidget *) | - getParent
(GdkWindow *) | - getParentWindow
(GtkWidgetPath *) | - getPath
(void) | - getPointerWithX:andY:
(void) | - getPreferredHeightWithMinimumHeight:andNaturalHeight:
(void) | - getPreferredHeightAndBaselineForWidthWithWidth:andMinimumHeight:andNaturalHeight:andMinimumBaseline:andNaturalBaseline:
(void) | - getPreferredHeightForWidthWithWidth:andMinimumHeight:andNaturalHeight:
(void) | - getPreferredSizeWithMinimumSize:andNaturalSize:
(void) | - getPreferredWidthWithMinimumWidth:andNaturalWidth:
(void) | - getPreferredWidthForHeightWithHeight:andMinimumWidth:andNaturalWidth:
(BOOL) | - getRealized
(BOOL) | - getReceivesDefault
(GtkSizeRequestMode) | - getRequestMode
(void) | - getRequisition:
(GdkWindow *) | - getRootWindow
(gint) | - getScaleFactor
(GdkScreen *) | - getScreen
(BOOL) | - getSensitive
(GtkSettings *) | - getSettings
(void) | - getSizeRequestWithWidth:andHeight:
(GtkStateType) | - getState
(GtkStateFlags) | - getStateFlags
(GtkStyle *) | - getStyle
(GtkStyleContext *) | - getStyleContext
(BOOL) | - getSupportMultidevice
(GObject *) | - getTemplateChildWithWidgetType:andName:
(NSString *) | - getTooltipMarkup
(NSString *) | - getTooltipText
(GtkWindow *) | - getTooltipWindow
(CGTKWidget *) | - getToplevel
(GtkAlign) | - getValign
(GtkAlign) | - getValignWithBaseline
(BOOL) | - getVexpand
(BOOL) | - getVexpandSet
(BOOL) | - getVisible
(GdkVisual *) | - getVisual
(GdkWindow *) | - getWindow
(void) | - gtkGrabAdd
(void) | - grabDefault
(void) | - grabFocus
(void) | - gtkGrabRemove
(BOOL) | - hasDefault
(BOOL) | - hasFocus
(BOOL) | - hasGrab
(BOOL) | - hasRcStyle
(BOOL) | - hasScreen
(BOOL) | - hasVisibleFocus
(void) | - hide
(BOOL) | - hideOnDelete
(BOOL) | - inDestruction
(void) | - initTemplate
(void) | - inputShapeCombineRegion:
(void) | - insertActionGroupWithName:andGroup:
(BOOL) | - intersectWithArea:andIntersection:
(BOOL) | - isAncestor:
(BOOL) | - isComposited
(BOOL) | - isDrawable
(BOOL) | - isFocus
(BOOL) | - isSensitive
(BOOL) | - isToplevel
(BOOL) | - isVisible
(BOOL) | - keynavFailed:
(GList *) | - listAccelClosures
(const gchar **) | - listActionPrefixes
(GList *) | - listMnemonicLabels
(void) | - map
(BOOL) | - mnemonicActivate:
(void) | - modifyBaseWithState:andColor:
(void) | - modifyBgWithState:andColor:
(void) | - modifyCursorWithPrimary:andSecondary:
(void) | - modifyFgWithState:andColor:
(void) | - modifyFont:
(void) | - modifyStyle:
(void) | - modifyTextWithState:andColor:
(void) | - overrideBackgroundColorWithState:andColor:
(void) | - overrideColorWithState:andColor:
(void) | - overrideCursorWithCursor:andSecondaryCursor:
(void) | - overrideFont:
(void) | - overrideSymbolicColorWithName:andColor:
(void) | - pathWithPathLength:andPath:andPathReversed:
(void) | - queueComputeExpand
(void) | - queueDraw
(void) | - queueDrawAreaWithX:andY:andWidth:andHeight:
(void) | - queueDrawRegion:
(void) | - queueResize
(void) | - queueResizeNoRedraw
(void) | - realize
(cairo_region_t *) | - regionIntersect:
(void) | - registerWindow:
(BOOL) | - removeAcceleratorWithAccelGroup:andAccelKey:andAccelMods:
(void) | - removeMnemonicLabel:
(void) | - removeTickCallback:
(GdkPixbuf *) | - renderIconWithStockId:andSize:andDetail:
(GdkPixbuf *) | - renderIconPixbufWithStockId:andSize:
(void) | - reparent:
(void) | - resetRcStyles
(void) | - resetStyle
(gint) | - sendExpose:
(BOOL) | - sendFocusChange:
(void) | - setAccelPathWithAccelPath:andAccelGroup:
(void) | - setAllocation:
(void) | - setAppPaintable:
(void) | - setCanDefault:
(void) | - setCanFocus:
(void) | - setChildVisible:
(void) | - setClip:
(void) | - setCompositeName:
(void) | - setDeviceEnabledWithDevice:andEnabled:
(void) | - setDeviceEventsWithDevice:andEvents:
(void) | - setDirection:
(void) | - setDoubleBuffered:
(void) | - setEvents:
(void) | - setFontMap:
(void) | - setFontOptions:
(void) | - setHalign:
(void) | - setHasTooltip:
(void) | - setHasWindow:
(void) | - setHexpand:
(void) | - setHexpandSet:
(void) | - setMapped:
(void) | - setMarginBottom:
(void) | - setMarginEnd:
(void) | - setMarginLeft:
(void) | - setMarginRight:
(void) | - setMarginStart:
(void) | - setMarginTop:
(void) | - setName:
(void) | - setNoShowAll:
(void) | - setOpacity:
(void) | - setParent:
(void) | - setParentWindow:
(void) | - setRealized:
(void) | - setReceivesDefault:
(void) | - setRedrawOnAllocate:
(void) | - setSensitive:
(void) | - setSizeRequestWithWidth:andHeight:
(void) | - setState:
(void) | - setStateFlagsWithFlags:andClear:
(void) | - setStyle:
(void) | - setSupportMultidevice:
(void) | - setTooltipMarkup:
(void) | - setTooltipText:
(void) | - setTooltipWindow:
(void) | - setValign:
(void) | - setVexpand:
(void) | - setVexpandSet:
(void) | - setVisible:
(void) | - setVisual:
(void) | - setWindow:
(void) | - shapeCombineRegion:
(void) | - show
(void) | - showAll
(void) | - showNow
(void) | - sizeAllocate:
(void) | - sizeAllocateWithBaselineWithAllocation:andBaseline:
(void) | - sizeRequest:
(void) | - styleAttach
(void) | - styleGetPropertyWithPropertyName:andValue:
(void) | - styleGetValistWithFirstPropertyName:andVarArgs:
(void) | - thawChildNotify
(BOOL) | - translateCoordinatesWithDestWidget:andSrcX:andSrcY:andDestX:andDestY:
(void) | - triggerTooltipQuery
(void) | - unmap
(void) | - unparent
(void) | - unrealize
(void) | - unregisterWindow:
(void) | - unsetStateFlags:
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(void) | - setGObject:
(GObject *) | - GOBJECT

## Additional Inherited Members
Class Methods inherited from CGTKWidget
(GtkTextDirection) | + getDefaultDirection
(GtkStyle *) | + getDefaultStyle
(void) | + popCompositeChild
(void) | + pushCompositeChild
(void) | + setDefaultDirection:
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 34 of file CGTKTreeView.h.

## Method Documentation

- (gint) appendColumn: |  | (GtkTreeViewColumn*) | column |

-(gint*)appendColumn: column;

Parameters

  column |

Returns
  gint

Definition at line 65 of file CGTKTreeView.m.

- (void) collapseAll |  |  |

-(void*)collapseAll;

Definition at line 70 of file CGTKTreeView.m.

- (BOOL) collapseRow: |  | (GtkTreePath*) | path |

-(BOOL*)collapseRow: path;

Parameters

  path |

Returns
  BOOL

Definition at line 75 of file CGTKTreeView.m.

- (void) columnsAutosize |  |  |

-(void*)columnsAutosize;

Definition at line 80 of file CGTKTreeView.m.

- (void) convertBinWindowToTreeCoordsWithBx: |  | (gint) | bx
andBy: |  | (gint) | by
andTx: |  | (gint*) | tx
andTy: |  | (gint*) | ty

-(void*)convertBinWindowToTreeCoordsWithBx:(gint) bx andBy:(gint) by andTx:(gint*) tx andTy:(gint*) ty;

Parameters

  bx |
  by |
  tx |
  ty |

Definition at line 85 of file CGTKTreeView.m.

- (void) convertBinWindowToWidgetCoordsWithBx: |  | (gint) | bx
andBy: |  | (gint) | by
andWx: |  | (gint*) | wx
andWy: |  | (gint*) | wy

-(void*)convertBinWindowToWidgetCoordsWithBx:(gint) bx andBy:(gint) by andWx:(gint*) wx andWy:(gint*) wy;

Parameters

  bx |
  by |
  wx |
  wy |

Definition at line 90 of file CGTKTreeView.m.

- (void) convertTreeToBinWindowCoordsWithTx: |  | (gint) | tx
andTy: |  | (gint) | ty
andBx: |  | (gint*) | bx
andBy: |  | (gint*) | by

-(void*)convertTreeToBinWindowCoordsWithTx:(gint) tx andTy:(gint) ty andBx:(gint*) bx andBy:(gint*) by;

Parameters

  tx |
  ty |
  bx |
  by |

Definition at line 95 of file CGTKTreeView.m.

- (void) convertTreeToWidgetCoordsWithTx: |  | (gint) | tx
andTy: |  | (gint) | ty
andWx: |  | (gint*) | wx
andWy: |  | (gint*) | wy

-(void*)convertTreeToWidgetCoordsWithTx:(gint) tx andTy:(gint) ty andWx:(gint*) wx andWy:(gint*) wy;

Parameters

  tx |
  ty |
  wx |
  wy |

Definition at line 100 of file CGTKTreeView.m.

- (void) convertWidgetToBinWindowCoordsWithWx: |  | (gint) | wx
andWy: |  | (gint) | wy
andBx: |  | (gint*) | bx
andBy: |  | (gint*) | by

-(void*)convertWidgetToBinWindowCoordsWithWx:(gint) wx andWy:(gint) wy andBx:(gint*) bx andBy:(gint*) by;

Parameters

  wx |
  wy |
  bx |
  by |

Definition at line 105 of file CGTKTreeView.m.

- (void) convertWidgetToTreeCoordsWithWx: |  | (gint) | wx
andWy: |  | (gint) | wy
andTx: |  | (gint*) | tx
andTy: |  | (gint*) | ty

-(void*)convertWidgetToTreeCoordsWithWx:(gint) wx andWy:(gint) wy andTx:(gint*) tx andTy:(gint*) ty;

Parameters

  wx |
  wy |
  tx |
  ty |

Definition at line 110 of file CGTKTreeView.m.

- (cairo_surface_t *) createRowDragIcon: |  | (GtkTreePath*) | path |

-(cairo_surface_t**)createRowDragIcon: path;

Parameters

  path |

Returns
  cairo_surface_t*

Definition at line 115 of file CGTKTreeView.m.

- (void) enableModelDragDestWithTargets: |  | (GtkTargetEntry*) | targets
andNtargets: |  | (gint) | ntargets
andActions: |  | (GdkDragAction) | actions

-(void*)enableModelDragDestWithTargets:(GtkTargetEntry*) targets andNtargets:(gint) ntargets andActions:(GdkDragAction) actions;

Parameters

  targets |
  ntargets |
  actions |

Definition at line 120 of file CGTKTreeView.m.

- (void) enableModelDragSourceWithStartButtonMask: |  | (GdkModifierType) | startButtonMask
andTargets: |  | (GtkTargetEntry*) | targets
andNtargets: |  | (gint) | ntargets
andActions: |  | (GdkDragAction) | actions

-(void*)enableModelDragSourceWithStartButtonMask:(GdkModifierType) startButtonMask andTargets:(GtkTargetEntry*) targets andNtargets:(gint) ntargets andActions:(GdkDragAction) actions;

Parameters

  startButtonMask |
  targets |
  ntargets |
  actions |

Definition at line 125 of file CGTKTreeView.m.

- (void) expandAll |  |  |

-(void*)expandAll;

Definition at line 130 of file CGTKTreeView.m.

- (BOOL) expandRowWithPath: |  | (GtkTreePath*) | path
andOpenAll: |  | (BOOL) | openAll

-(BOOL*)expandRowWithPath:(GtkTreePath*) path andOpenAll:(BOOL) openAll;

Parameters

  path |
  openAll |

Returns
  BOOL

Definition at line 135 of file CGTKTreeView.m.

- (void) expandToPath: |  | (GtkTreePath*) | path |

-(void*)expandToPath: path;

Parameters

  path |

Definition at line 140 of file CGTKTreeView.m.

- (BOOL) getActivateOnSingleClick |  |  |

-(BOOL*)getActivateOnSingleClick;

Returns
  BOOL

Definition at line 145 of file CGTKTreeView.m.

- (void) getBackgroundAreaWithPath: |  | (GtkTreePath*) | path
andColumn: |  | (GtkTreeViewColumn*) | column
andRect: |  | (GdkRectangle*) | rect

-(void*)getBackgroundAreaWithPath:(GtkTreePath*) path andColumn:(GtkTreeViewColumn*) column andRect:(GdkRectangle*) rect;

Parameters

  path |
  column |
  rect |

Definition at line 150 of file CGTKTreeView.m.

- (GdkWindow *) getBinWindow |  |  |

-(GdkWindow**)getBinWindow;

Returns
  GdkWindow*

Definition at line 155 of file CGTKTreeView.m.

- (void) getCellAreaWithPath: |  | (GtkTreePath*) | path
andColumn: |  | (GtkTreeViewColumn*) | column
andRect: |  | (GdkRectangle*) | rect

-(void*)getCellAreaWithPath:(GtkTreePath*) path andColumn:(GtkTreeViewColumn*) column andRect:(GdkRectangle*) rect;

Parameters

  path |
  column |
  rect |

Definition at line 160 of file CGTKTreeView.m.

- (GtkTreeViewColumn *) getColumn: |  | (gint) | n |

-(GtkTreeViewColumn**)getColumn: n;

Parameters

  n |

Returns
  GtkTreeViewColumn*

Definition at line 165 of file CGTKTreeView.m.

- (GList *) getColumns |  |  |

-(GList**)getColumns;

Returns
  GList*

Definition at line 170 of file CGTKTreeView.m.

- (void) getCursorWithPath: |  | (GtkTreePath**) | path
andFocusColumn: |  | (GtkTreeViewColumn**) | focusColumn

-(void*)getCursorWithPath:(GtkTreePath**) path andFocusColumn:(GtkTreeViewColumn**) focusColumn;

Parameters

  path |
  focusColumn |

Definition at line 175 of file CGTKTreeView.m.

- (BOOL) getDestRowAtPosWithDragX: |  | (gint) | dragX
andDragY: |  | (gint) | dragY
andPath: |  | (GtkTreePath**) | path
andPos: |  | (GtkTreeViewDropPosition*) | pos

-(BOOL*)getDestRowAtPosWithDragX:(gint) dragX andDragY:(gint) dragY andPath:(GtkTreePath**) path andPos:(GtkTreeViewDropPosition*) pos;

Parameters

  dragX |
  dragY |
  path |
  pos |

Returns
  BOOL

Definition at line 180 of file CGTKTreeView.m.

- (void) getDragDestRowWithPath: |  | (GtkTreePath**) | path
andPos: |  | (GtkTreeViewDropPosition*) | pos

-(void*)getDragDestRowWithPath:(GtkTreePath**) path andPos:(GtkTreeViewDropPosition*) pos;

Parameters

  path |
  pos |

Definition at line 185 of file CGTKTreeView.m.

- (BOOL) getEnableSearch |  |  |

-(BOOL*)getEnableSearch;

Returns
  BOOL

Definition at line 190 of file CGTKTreeView.m.

- (BOOL) getEnableTreeLines |  |  |

-(BOOL*)getEnableTreeLines;

Returns
  BOOL

Definition at line 195 of file CGTKTreeView.m.

- (GtkTreeViewColumn *) getExpanderColumn |  |  |

-(GtkTreeViewColumn**)getExpanderColumn;

Returns
  GtkTreeViewColumn*

Definition at line 200 of file CGTKTreeView.m.

- (BOOL) getFixedHeightMode |  |  |

-(BOOL*)getFixedHeightMode;

Returns
  BOOL

Definition at line 205 of file CGTKTreeView.m.

- (GtkTreeViewGridLines) getGridLines |  |  |

-(GtkTreeViewGridLines*)getGridLines;

Returns
  GtkTreeViewGridLines

Definition at line 210 of file CGTKTreeView.m.

- (GtkAdjustment *) getHadjustment |  |  |

-(GtkAdjustment**)getHadjustment;

Returns
  GtkAdjustment*

Definition at line 215 of file CGTKTreeView.m.

- (BOOL) getHeadersClickable |  |  |

-(BOOL*)getHeadersClickable;

Returns
  BOOL

Definition at line 220 of file CGTKTreeView.m.

- (BOOL) getHeadersVisible |  |  |

-(BOOL*)getHeadersVisible;

Returns
  BOOL

Definition at line 225 of file CGTKTreeView.m.

- (BOOL) getHoverExpand |  |  |

-(BOOL*)getHoverExpand;

Returns
  BOOL

Definition at line 230 of file CGTKTreeView.m.

- (BOOL) getHoverSelection |  |  |

-(BOOL*)getHoverSelection;

Returns
  BOOL

Definition at line 235 of file CGTKTreeView.m.

- (gint) getLevelIndentation |  |  |

-(gint*)getLevelIndentation;

Returns
  gint

Definition at line 240 of file CGTKTreeView.m.

- (GtkTreeModel *) getModel |  |  |

-(GtkTreeModel**)getModel;

Returns
  GtkTreeModel*

Definition at line 245 of file CGTKTreeView.m.

- (guint) getNcolumns |  |  |

-(guint*)getNcolumns;

Returns
  guint

Definition at line 250 of file CGTKTreeView.m.

- (BOOL) getPathAtPosWithX: |  | (gint) | x
andY: |  | (gint) | y
andPath: |  | (GtkTreePath**) | path
andColumn: |  | (GtkTreeViewColumn**) | column
andCellX: |  | (gint*) | cellX
andCellY: |  | (gint*) | cellY

-(BOOL*)getPathAtPosWithX:(gint) x andY:(gint) y andPath:(GtkTreePath**) path andColumn:(GtkTreeViewColumn**) column andCellX:(gint*) cellX andCellY:(gint*) cellY;

Parameters

  x |
  y |
  path |
  column |
  cellX |
  cellY |

Returns
  BOOL

Definition at line 255 of file CGTKTreeView.m.

- (BOOL) getReorderable |  |  |

-(BOOL*)getReorderable;

Returns
  BOOL

Definition at line 260 of file CGTKTreeView.m.

- (GtkTreeViewRowSeparatorFunc) getRowSeparatorFunc |  |  |

-(GtkTreeViewRowSeparatorFunc*)getRowSeparatorFunc;

Returns
  GtkTreeViewRowSeparatorFunc

Definition at line 265 of file CGTKTreeView.m.

- (BOOL) getRubberBanding |  |  |

-(BOOL*)getRubberBanding;

Returns
  BOOL

Definition at line 270 of file CGTKTreeView.m.

- (BOOL) getRulesHint |  |  |

-(BOOL*)getRulesHint;

Returns
  BOOL

Definition at line 275 of file CGTKTreeView.m.

- (gint) getSearchColumn |  |  |

-(gint*)getSearchColumn;

Returns
  gint

Definition at line 280 of file CGTKTreeView.m.

- (GtkEntry *) getSearchEntry |  |  |

-(GtkEntry**)getSearchEntry;

Returns
  GtkEntry*

Definition at line 285 of file CGTKTreeView.m.

- (GtkTreeViewSearchEqualFunc) getSearchEqualFunc |  |  |

-(GtkTreeViewSearchEqualFunc*)getSearchEqualFunc;

Returns
  GtkTreeViewSearchEqualFunc

Definition at line 290 of file CGTKTreeView.m.

- (GtkTreeViewSearchPositionFunc) getSearchPositionFunc |  |  |

-(GtkTreeViewSearchPositionFunc*)getSearchPositionFunc;

Returns
  GtkTreeViewSearchPositionFunc

Definition at line 295 of file CGTKTreeView.m.

- (GtkTreeSelection *) getSelection |  |  |

-(GtkTreeSelection**)getSelection;

Returns
  GtkTreeSelection*

Definition at line 300 of file CGTKTreeView.m.

- (BOOL) getShowExpanders |  |  |

-(BOOL*)getShowExpanders;

Returns
  BOOL

Definition at line 305 of file CGTKTreeView.m.

- (gint) getTooltipColumn |  |  |

-(gint*)getTooltipColumn;

Returns
  gint

Definition at line 310 of file CGTKTreeView.m.

- (BOOL) getTooltipContextWithX: |  | (gint*) | x
andY: |  | (gint*) | y
andKeyboardTip: |  | (BOOL) | keyboardTip
andModel: |  | (GtkTreeModel**) | model
andPath: |  | (GtkTreePath**) | path
andIter: |  | (GtkTreeIter*) | iter

-(BOOL*)getTooltipContextWithX:(gint*) x andY:(gint*) y andKeyboardTip:(BOOL) keyboardTip andModel:(GtkTreeModel**) model andPath:(GtkTreePath**) path andIter:(GtkTreeIter*) iter;

Parameters

  x |
  y |
  keyboardTip |
  model |
  path |
  iter |

Returns
  BOOL

Definition at line 315 of file CGTKTreeView.m.

- (GtkAdjustment *) getVadjustment |  |  |

-(GtkAdjustment**)getVadjustment;

Returns
  GtkAdjustment*

Definition at line 320 of file CGTKTreeView.m.

- (BOOL) getVisibleRangeWithStartPath: |  | (GtkTreePath**) | startPath
andEndPath: |  | (GtkTreePath**) | endPath

-(BOOL*)getVisibleRangeWithStartPath:(GtkTreePath**) startPath andEndPath:(GtkTreePath**) endPath;

Parameters

  startPath |
  endPath |

Returns
  BOOL

Definition at line 325 of file CGTKTreeView.m.

- (void) getVisibleRect: |  | (GdkRectangle*) | visibleRect |

-(void*)getVisibleRect: visibleRect;

Parameters

  visibleRect |

Definition at line 330 of file CGTKTreeView.m.

- (id) init |  |  |

Constructors

Definition at line 36 of file CGTKTreeView.m.

- (gint) insertColumnWithColumn: |  | (GtkTreeViewColumn*) | column
andPosition: |  | (gint) | position

-(gint*)insertColumnWithColumn:(GtkTreeViewColumn*) column andPosition:(gint) position;

Parameters

  column |
  position |

Returns
  gint

Definition at line 335 of file CGTKTreeView.m.

- (gint) insertColumnWithDataFuncWithPosition: |  | (gint) | position
andTitle: |  | (NSString*) | title
andCell: |  | (GtkCellRenderer*) | cell
andFunc: |  | (GtkTreeCellDataFunc) | func
andData: |  | (gpointer) | data
andDnotify: |  | (GDestroyNotify) | dnotify

-(gint*)insertColumnWithDataFuncWithPosition:(gint) position andTitle:(NSString*) title andCell:(GtkCellRenderer*) cell andFunc:(GtkTreeCellDataFunc) func andData:(gpointer) data andDnotify:(GDestroyNotify) dnotify;

Parameters

  position |
  title |
  cell |
  func |
  data |
  dnotify |

Returns
  gint

Definition at line 340 of file CGTKTreeView.m.

- (BOOL) isBlankAtPosWithX: |  | (gint) | x
andY: |  | (gint) | y
andPath: |  | (GtkTreePath**) | path
andColumn: |  | (GtkTreeViewColumn**) | column
andCellX: |  | (gint*) | cellX
andCellY: |  | (gint*) | cellY

-(BOOL*)isBlankAtPosWithX:(gint) x andY:(gint) y andPath:(GtkTreePath**) path andColumn:(GtkTreeViewColumn**) column andCellX:(gint*) cellX andCellY:(gint*) cellY;

Parameters

  x |
  y |
  path |
  column |
  cellX |
  cellY |

Returns
  BOOL

Definition at line 345 of file CGTKTreeView.m.

- (BOOL) isRubberBandingActive |  |  |

-(BOOL*)isRubberBandingActive;

Returns
  BOOL

Definition at line 350 of file CGTKTreeView.m.

- (void) mapExpandedRowsWithFunc: |  | (GtkTreeViewMappingFunc) | func
andData: |  | (gpointer) | data

-(void*)mapExpandedRowsWithFunc:(GtkTreeViewMappingFunc) func andData:(gpointer) data;

Parameters

  func |
  data |

Definition at line 355 of file CGTKTreeView.m.

- (void) moveColumnAfterWithColumn: |  | (GtkTreeViewColumn*) | column
andBaseColumn: |  | (GtkTreeViewColumn*) | baseColumn

-(void*)moveColumnAfterWithColumn:(GtkTreeViewColumn*) column andBaseColumn:(GtkTreeViewColumn*) baseColumn;

Parameters

  column |
  baseColumn |

Definition at line 360 of file CGTKTreeView.m.

- (gint) removeColumn: |  | (GtkTreeViewColumn*) | column |

-(gint*)removeColumn: column;

Parameters

  column |

Returns
  gint

Definition at line 365 of file CGTKTreeView.m.

- (void) rowActivatedWithPath: |  | (GtkTreePath*) | path
andColumn: |  | (GtkTreeViewColumn*) | column

-(void*)rowActivatedWithPath:(GtkTreePath*) path andColumn:(GtkTreeViewColumn*) column;

Parameters

  path |
  column |

Definition at line 370 of file CGTKTreeView.m.

- (BOOL) rowExpanded: |  | (GtkTreePath*) | path |

-(BOOL*)rowExpanded: path;

Parameters

  path |

Returns
  BOOL

Definition at line 375 of file CGTKTreeView.m.

- (void) scrollToCellWithPath: |  | (GtkTreePath*) | path
andColumn: |  | (GtkTreeViewColumn*) | column
andUseAlign: |  | (BOOL) | useAlign
andRowAlign: |  | (gfloat) | rowAlign
andColAlign: |  | (gfloat) | colAlign

-(void*)scrollToCellWithPath:(GtkTreePath*) path andColumn:(GtkTreeViewColumn*) column andUseAlign:(BOOL) useAlign andRowAlign:(gfloat) rowAlign andColAlign:(gfloat) colAlign;

Parameters

  path |
  column |
  useAlign |
  rowAlign |
  colAlign |

Definition at line 380 of file CGTKTreeView.m.

- (void) scrollToPointWithTreeX: |  | (gint) | treeX
andTreeY: |  | (gint) | treeY

-(void*)scrollToPointWithTreeX:(gint) treeX andTreeY:(gint) treeY;

Parameters

  treeX |
  treeY |

Definition at line 385 of file CGTKTreeView.m.

- (void) setActivateOnSingleClick: |  | (BOOL) | single |

-(void*)setActivateOnSingleClick: single;

Parameters

  single |

Definition at line 390 of file CGTKTreeView.m.

- (void) setColumnDragFunctionWithFunc: |  | (GtkTreeViewColumnDropFunc) | func
andUserData: |  | (gpointer) | userData
andDestroy: |  | (GDestroyNotify) | destroy

-(void*)setColumnDragFunctionWithFunc:(GtkTreeViewColumnDropFunc) func andUserData:(gpointer) userData andDestroy:(GDestroyNotify) destroy;

Parameters

  func |
  userData |
  destroy |

Definition at line 395 of file CGTKTreeView.m.

- (void) setCursorOnCellWithPath: |  | (GtkTreePath*) | path
andFocusColumn: |  | (GtkTreeViewColumn*) | focusColumn
andFocusCell: |  | (GtkCellRenderer*) | focusCell
andStartEditing: |  | (BOOL) | startEditing

-(void*)setCursorOnCellWithPath:(GtkTreePath*) path andFocusColumn:(GtkTreeViewColumn*) focusColumn andFocusCell:(GtkCellRenderer*) focusCell andStartEditing:(BOOL) startEditing;

Parameters

  path |
  focusColumn |
  focusCell |
  startEditing |

Definition at line 405 of file CGTKTreeView.m.

- (void) setCursorWithPath: |  | (GtkTreePath*) | path
andFocusColumn: |  | (GtkTreeViewColumn*) | focusColumn
andStartEditing: |  | (BOOL) | startEditing

-(void*)setCursorWithPath:(GtkTreePath*) path andFocusColumn:(GtkTreeViewColumn*) focusColumn andStartEditing:(BOOL) startEditing;

Parameters

  path |
  focusColumn |
  startEditing |

Definition at line 400 of file CGTKTreeView.m.

- (void) setDestroyCountFuncWithFunc: |  | (GtkTreeDestroyCountFunc) | func
andData: |  | (gpointer) | data
andDestroy: |  | (GDestroyNotify) | destroy

-(void*)setDestroyCountFuncWithFunc:(GtkTreeDestroyCountFunc) func andData:(gpointer) data andDestroy:(GDestroyNotify) destroy;

Parameters

  func |
  data |
  destroy |

Definition at line 410 of file CGTKTreeView.m.

- (void) setDragDestRowWithPath: |  | (GtkTreePath*) | path
andPos: |  | (GtkTreeViewDropPosition) | pos

-(void*)setDragDestRowWithPath:(GtkTreePath*) path andPos:(GtkTreeViewDropPosition) pos;

Parameters

  path |
  pos |

Definition at line 415 of file CGTKTreeView.m.

- (void) setEnableSearch: |  | (BOOL) | enableSearch |

-(void*)setEnableSearch: enableSearch;

Parameters

  enableSearch |

Definition at line 420 of file CGTKTreeView.m.

- (void) setEnableTreeLines: |  | (BOOL) | enabled |

-(void*)setEnableTreeLines: enabled;

Parameters

  enabled |

Definition at line 425 of file CGTKTreeView.m.

- (void) setExpanderColumn: |  | (GtkTreeViewColumn*) | column |

-(void*)setExpanderColumn: column;

Parameters

  column |

Definition at line 430 of file CGTKTreeView.m.

- (void) setFixedHeightMode: |  | (BOOL) | enable |

-(void*)setFixedHeightMode: enable;

Parameters

  enable |

Definition at line 435 of file CGTKTreeView.m.

- (void) setGridLines: |  | (GtkTreeViewGridLines) | gridLines |

-(void*)setGridLines: gridLines;

Parameters

  gridLines |

Definition at line 440 of file CGTKTreeView.m.

- (void) setHadjustment: |  | (GtkAdjustment*) | adjustment |

-(void*)setHadjustment: adjustment;

Parameters

  adjustment |

Definition at line 445 of file CGTKTreeView.m.

- (void) setHeadersClickable: |  | (BOOL) | setting |

-(void*)setHeadersClickable: setting;

Parameters

  setting |

Definition at line 450 of file CGTKTreeView.m.

- (void) setHeadersVisible: |  | (BOOL) | headersVisible |

-(void*)setHeadersVisible: headersVisible;

Parameters

  headersVisible |

Definition at line 455 of file CGTKTreeView.m.

- (void) setHoverExpand: |  | (BOOL) | expand |

-(void*)setHoverExpand: expand;

Parameters

  expand |

Definition at line 460 of file CGTKTreeView.m.

- (void) setHoverSelection: |  | (BOOL) | hover |

-(void*)setHoverSelection: hover;

Parameters

  hover |

Definition at line 465 of file CGTKTreeView.m.

- (void) setLevelIndentation: |  | (gint) | indentation |

-(void*)setLevelIndentation: indentation;

Parameters

  indentation |

Definition at line 470 of file CGTKTreeView.m.

- (void) setModel: |  | (GtkTreeModel*) | model |

-(void*)setModel: model;

Parameters

  model |

Definition at line 475 of file CGTKTreeView.m.

- (void) setReorderable: |  | (BOOL) | reorderable |

-(void*)setReorderable: reorderable;

Parameters

  reorderable |

Definition at line 480 of file CGTKTreeView.m.

- (void) setRowSeparatorFuncWithFunc: |  | (GtkTreeViewRowSeparatorFunc) | func
andData: |  | (gpointer) | data
andDestroy: |  | (GDestroyNotify) | destroy

-(void*)setRowSeparatorFuncWithFunc:(GtkTreeViewRowSeparatorFunc) func andData:(gpointer) data andDestroy:(GDestroyNotify) destroy;

Parameters

  func |
  data |
  destroy |

Definition at line 485 of file CGTKTreeView.m.

- (void) setRubberBanding: |  | (BOOL) | enable |

-(void*)setRubberBanding: enable;

Parameters

  enable |

Definition at line 490 of file CGTKTreeView.m.

- (void) setRulesHint: |  | (BOOL) | setting |

-(void*)setRulesHint: setting;

Parameters

  setting |

Definition at line 495 of file CGTKTreeView.m.

- (void) setSearchColumn: |  | (gint) | column |

-(void*)setSearchColumn: column;

Parameters

  column |

Definition at line 500 of file CGTKTreeView.m.

- (void) setSearchEntry: |  | (GtkEntry*) | entry |

-(void*)setSearchEntry: entry;

Parameters

  entry |

Definition at line 505 of file CGTKTreeView.m.

- (void) setSearchEqualFuncWithSearchEqualFunc: |  | (GtkTreeViewSearchEqualFunc) | searchEqualFunc
andSearchUserData: |  | (gpointer) | searchUserData
andSearchDestroy: |  | (GDestroyNotify) | searchDestroy

-(void*)setSearchEqualFuncWithSearchEqualFunc:(GtkTreeViewSearchEqualFunc) searchEqualFunc andSearchUserData:(gpointer) searchUserData andSearchDestroy:(GDestroyNotify) searchDestroy;

Parameters

  searchEqualFunc |
  searchUserData |
  searchDestroy |

Definition at line 510 of file CGTKTreeView.m.

- (void) setSearchPositionFuncWithFunc: |  | (GtkTreeViewSearchPositionFunc) | func
andData: |  | (gpointer) | data
andDestroy: |  | (GDestroyNotify) | destroy

-(void*)setSearchPositionFuncWithFunc:(GtkTreeViewSearchPositionFunc) func andData:(gpointer) data andDestroy:(GDestroyNotify) destroy;

Parameters

  func |
  data |
  destroy |

Definition at line 515 of file CGTKTreeView.m.

- (void) setShowExpanders: |  | (BOOL) | enabled |

-(void*)setShowExpanders: enabled;

Parameters

  enabled |

Definition at line 520 of file CGTKTreeView.m.

- (void) setTooltipCellWithTooltip: |  | (GtkTooltip*) | tooltip
andPath: |  | (GtkTreePath*) | path
andColumn: |  | (GtkTreeViewColumn*) | column
andCell: |  | (GtkCellRenderer*) | cell

-(void*)setTooltipCellWithTooltip:(GtkTooltip*) tooltip andPath:(GtkTreePath*) path andColumn:(GtkTreeViewColumn*) column andCell:(GtkCellRenderer*) cell;

Parameters

  tooltip |
  path |
  column |
  cell |

Definition at line 525 of file CGTKTreeView.m.

- (void) setTooltipColumn: |  | (gint) | column |

-(void*)setTooltipColumn: column;

Parameters

  column |

Definition at line 530 of file CGTKTreeView.m.

- (void) setTooltipRowWithTooltip: |  | (GtkTooltip*) | tooltip
andPath: |  | (GtkTreePath*) | path

-(void*)setTooltipRowWithTooltip:(GtkTooltip*) tooltip andPath:(GtkTreePath*) path;

Parameters

  tooltip |
  path |

Definition at line 535 of file CGTKTreeView.m.

- (void) setVadjustment: |  | (GtkAdjustment*) | adjustment |

-(void*)setVadjustment: adjustment;

Parameters

  adjustment |

Definition at line 540 of file CGTKTreeView.m.

- (GtkTreeView *) TREEVIEW |  |  |

Methods

Definition at line 60 of file CGTKTreeView.m.

- (void) unsetRowsDragDest |  |  |

-(void*)unsetRowsDragDest;

Definition at line 545 of file CGTKTreeView.m.

- (void) unsetRowsDragSource |  |  |

-(void*)unsetRowsDragSource;

Definition at line 550 of file CGTKTreeView.m.

The documentation for this class was generated from the following files:

- CGTKTreeView.h
- CGTKTreeView.m